`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 19.10.2022 10:03:58
// Design Name: 
// Module Name: inputmemory
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module inputmemory #(parameter N = 16,
							 parameter M = 6)
							(ada,ena,clka,outa);
input clka,ena;
input [M-1:0] ada;
output reg [N-1:0] outa;
reg [N-1:0] mem [0:2**M -1];

initial begin
 $readmemh("input_data.mem", mem); 
end

always@(posedge clka)
if(ena) 
    outa = mem[ada];
 else
   outa = 'd0;
endmodule
